import React from 'react'
import Svg, { G, Path } from 'react-native-svg'

const SvgComponent = props => (
  <Svg width="1em" height="1em" viewBox="0 0 19 19" {...props}>
    <G fill="none" fillRule="evenodd">
      <Path
        d="M9.782.597a9.03 9.03 0 0 1 9.03 9.03 9.03 9.03 0 1 1-18.06 0 9.03 9.03 0 0 1 9.03-9.03z"
        fill="#0058A8"
      />
      <Path
        d="M7.064 10.878a.28.28 0 1 1 0-.56h1.8a.28.28 0 1 1 0 .56h-1.8zm5.776.715l1.01 1.747a.28.28 0 0 1-.314.41l-.793-.211-.213.79a.28.28 0 0 1-.523.049l-.633-1.098-.644 1.116a.28.28 0 0 1-.512-.067h-.001l-.212-.79-.793.211a.28.28 0 0 1-.307-.421l1.002-1.736a1.58 1.58 0 0 1 .348-1.718 1.583 1.583 0 0 1 2.585 1.718zm-2.33-.051l.003.005.012.02c.338.549 1.135.586 1.572.15l.017-.019h.003a1.027 1.027 0 0 0-.02-1.426 1.02 1.02 0 0 0-1.447 0 1.02 1.02 0 0 0-.14 1.27zm1.984.57v.002a1.598 1.598 0 0 1-.86.442h-.003l-.01.003h-.011l-.01.002.015.023.549.95.11-.41a.28.28 0 0 1 .341-.201l.412.11-.533-.922zm-2.239.002l-.001-.003-.534.922.403-.105.008-.005c.15-.04.303.05.343.2l.11.411.547-.95.015-.023-.01-.002h-.003a1.582 1.582 0 0 1-.878-.445zm-4.54-8.563h5.536c.13 0 .245.053.33.138l3.382 3.38c.09.092.136.21.136.332v7.05c0 .344-.14.658-.367.883l-.002.003-.01.009a1.244 1.244 0 0 1-.872.358H5.715c-.343 0-.654-.142-.882-.367v-.003.003a1.249 1.249 0 0 1-.369-.885v-9.65c0-.343.14-.656.368-.882.226-.228.54-.37.883-.37zm5.255.936H5.715a.319.319 0 0 0-.316.316v9.649c0 .087.036.165.094.223a.31.31 0 0 0 .222.092h8.133a.328.328 0 0 0 .224-.09l.001-.002a.325.325 0 0 0 .092-.223V7.68h-2.13c-.292 0-.56-.12-.752-.311l-.016-.019a1.062 1.062 0 0 1-.296-.735V4.487zm2.72 2.633l-2.158-2.158v1.653c0 .134.05.254.134.343l.012.014c.091.09.218.148.356.148h1.656zM7.057 8.344H12.528l.007.002H12.548v.003h.015v.002l.006.002h.008l.006.003.006.002.007.002.007.002.006.003.006.002.006.003v.002l.006.002.006.002.007.005.005.002.007.005.004.002.006.005.006.004.005.003v.002l.005.002.004.005.006.005.005.004.005.004.004.005.004.005v.003l.005.002v.002l.005.004.005.005.003.005.004.006.004.006.003.006.004.004.004.008.003.004.003.007.004.005.002.006.002.008.004.005v.002l.002.004v.002l.002.005.003.007.001.007.002.007.002.007.002.007.001.006v.008l.002.006v.007l.001.008v.006l.002.007v.014l-.002.01v.006l-.001.007v.007l-.002.007v.006l-.001.005v.003l-.002.006-.002.005v.002l-.002.005-.001.007-.003.007-.002.007-.002.007-.004.005v.002l-.002.004-.002.007-.004.005v.002l-.003.004-.003.005v.003l-.004.004-.004.007-.003.005-.004.005v.002l-.004.004-.004.005-.004.005v.002l-.005.004-.005.005-.004.005-.004.004-.005.005-.005.005-.006.004-.004.005-.005.004-.005.003v.002l-.006.002-.006.005-.004.004-.007.003-.005.005-.007.002-.005.002v.002l-.007.003-.006.002-.006.002-.006.003-.007.002-.007.004h-.006l-.006.003-.008.002-.006.003h-.007l-.008.002h-.006v.002h-.028v.002H7.05v-.002H7.021V8.9h-.006l-.008-.002h-.005l-.008-.003-.006-.002-.007-.003h-.006l-.007-.004-.007-.002-.007-.003-.006-.002-.005-.002-.006-.003v-.002l-.006-.002-.007-.002-.006-.005-.005-.003-.005-.004-.006-.005-.005-.002v-.002l-.006-.003-.005-.004-.005-.005-.005-.004-.004-.005-.007-.005-.004-.004-.004-.005-.004-.005-.005-.004V8.8l-.004-.005-.005-.005-.003-.004v-.002l-.004-.005-.004-.005-.003-.007-.004-.004V8.76l-.004-.005-.002-.004V8.75l-.004-.005-.002-.007-.003-.004v-.002l-.003-.005-.002-.007-.002-.007-.002-.007-.003-.007v-.007l-.003-.005-.002-.006v-.008l-.002-.006-.001-.007v-.016l-.002-.005v-.03l.001-.006v-.015l.002-.006v-.003l.002-.005v-.006l.002-.007.002-.007v-.007l.004-.007.002-.007.002-.005v-.002l.002-.004V8.52l.003-.005.003-.008.002-.006.004-.005.002-.007.004-.004.004-.008.003-.004.004-.006.004-.006.003-.006.005-.005.004-.005.005-.004v-.002l.004-.002v-.003l.004-.005.004-.005.007-.004.004-.004.005-.005.005-.005.005-.002v-.002l.006-.003.005-.004.006-.005.005-.002.005-.005.006-.002.007-.005.006-.002.006-.002V8.37l.005-.003.006-.002.007-.003.007-.002.007-.002.006-.002.007-.003h.006l.008-.002v-.002H7.015v-.003h.014l.006-.002h.022zm.007-1.413a.28.28 0 1 1 0-.56h3.004a.28.28 0 1 1 0 .56H7.064z"
        fill="#FFF"
      />
    </G>
  </Svg>
)

export default SvgComponent
